aboutsummaryrefslogtreecommitdiff
path: root/sys/fs
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:51:43 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:51:43 +0000
commit65d91a2968762e5a75b14364bf35a01d79431b4e (patch)
treed3284a396909d19817ef9552f47eb0f46aafba93 /sys/fs
parent6b58cd82155f6f588fcdfd808f493cde8a849962 (diff)
downloadslackbuilds-65d91a2968762e5a75b14364bf35a01d79431b4e.tar.gz
slackbuilds-65d91a2968762e5a75b14364bf35a01d79431b4e.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@688 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'sys/fs')
-rwxr-xr-xsys/fs/sysfsutils/sysfsutils.SlackBuild104
1 files changed, 104 insertions, 0 deletions
diff --git a/sys/fs/sysfsutils/sysfsutils.SlackBuild b/sys/fs/sysfsutils/sysfsutils.SlackBuild
new file mode 100755
index 00000000..6ead938e
--- /dev/null
+++ b/sys/fs/sysfsutils/sysfsutils.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+#
+# slackbuild script for sysfsutils
+# rhatto at riseup.net | gpl
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="sysfsutils"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.0.0}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/linux-diag/$PACKAGE-$VERSION.tar.gz"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./autogen.sh
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+sysfsutils: sysfsutils (System Utilities Based on Sysfs)
+sysfsutils:
+sysfsutils: This package's purpose is to provide a set of utilities for
+sysfsutils: interfacing with sysfs, a virtual filesystem in Linux kernel
+sysfsutils: versions 2.5+ that provides a tree of system devices. While a
+sysfsutils: filesystem is a very useful interface, we've decided to provide a
+sysfsutils: stable programming interface that will hopefully make it easier
+sysfsutils: for applications to query system devices and their attributes.
+sysfsutils:
+sysfsutils:
+sysfsutils:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+